## DROP FUNCTION Statement (drop_function_statement)

The DROP FUNCTION statement (drop_function_statement) drops a database function.

### Syntax

<drop_function_statement> ::= DROP [PUBLIC] FUNCTION <dbfunction_name>

### Examples

SQL Tutorial, Database Functions

### Explanation

If a schema is not specified in the database function name, the current schema is implicitly assumed.

The current user must be the owner of the database function or have the DROPIN privilege for the schema to which the database function is assigned.

The metadata of the database function is dropped.

#### PUBLIC

To drop a database function that was created with the property PUBLIC, you have to use the DROP PUBLIC FUNCTION statement for the function.